Bug 1015411 - The "given directory already exists" dialog should check if the directory contains jboss-eap-6.1 folder
The "given directory already exists" dialog should check if the directory con...
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity low
: ER7
: 6.0.0
Assigned To: Miles Tjandrawidjaja
Andrej Vano
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 03:40 EDT by Andrej Vano
Modified: 2014-02-06 10:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Vano 2013-10-04 03:40:16 EDT
Description of problem:
The dialog should pop up just if the selected folder already contains "jboss-eap-6.1" folder.

Version-Release number of selected component (if applicable):
6.0.0.ER4-5

How reproducible: 100%


Steps to Reproduce:
1. create empty folder "test" in /home/user
2. run the installer, set installation path to /home/user/test
3. the message will pop up

Actual results:
The message will pop up if the installation directory already exists

Expected results:
The message will pop up if the installation directory already exists _AND_ contains "jboss-eap-6.1" folder 

Additional info:
Comment 2 Miles Tjandrawidjaja 2013-11-13 14:28:52 EST
Message dialog will only show up if installation directory exists AND contains "jboss-eap-6.1" folder.

http://git.app.eng.bos.redhat.com/izpack.git/commit/?h=izpack-wip&id=d7f430a300b86a49a56976f8a4547ca5bc050d9f
Comment 3 Andrej Vano 2013-12-16 04:15:18 EST
Hi,

verified on ER7-2

Note You need to log in before you can comment on or make changes to this bug.